v1.0.0
OpenAPI 3.1.0

List email translations

US region

Client Libraries

List email translations

​

Returns all translations for an email. Each translation contains the email's content, envelope, and transformers for a specific language.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The id of the email. If your email has multiple languages, you must provide the ID of the default language template. This links the workflow to all of the language variants for the template.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/emails/{id}/languages
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/languages \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "email_translations": [
    {
      "available_languages": [
        "en",
        "es"
      ],
      "content": {
        "amp": "string",
        "html": "string",
        "preheader_text": "string",
        "subject": "string",
        "text": "string"
      },
      "created": 1773856017,
      "envelope": {
        "bcc": "string",
        "fake_bcc": true,
        "from": "string",
        "from_id": null,
        "headers": [
          {
            "name": "string",
            "value": "string"
          }
        ],
        "recipient": "string",
        "reply_to": "string",
        "reply_to_id": null
      },
      "is_linked": true,
      "is_template": true,
      "language": "fr",
      "language_group_id": "123e4567-e89b-12d3-a456-426614174000",
      "parent_folder_id": null,
      "transformers": {
        "accessibility": {
          "add_dir_to_content": true,
          "add_dir_to_html": true,
          "add_empty_alt_to_images": true,
          "add_lang_to_content": true,
          "add_lang_to_html": true,
          "add_role_to_tables": true,
          "add_title_to_head": true,
          "add_vml_alt_text": true,
          "enabled": false,
          "language": "",
          "remove_button_role_from_links": true,
          "remove_zoom_meta_tag": true
        },
        "css_inliner": {
          "apply_html_attributes": {
            "apply_height_attributes": true,
            "apply_table_element_attributes": true,
            "apply_width_attributes": true,
            "enabled": true
          },
          "apply_style_tags": true,
          "enabled": false,
          "inline_pseudo_elements": false,
          "preserve_font_faces": true,
          "preserve_important": false,
          "preserve_keyframes": true,
          "preserve_media_queries": true,
          "preserve_pseudos": true,
          "remove_style_tags": true
        },
        "css_variables": {
          "enabled": false,
          "preserve": false
        },
        "encode_entities": {
          "enabled": false
        },
        "formatter": {
          "minify": {
            "line_length_limit": 500,
            "remove_css_comments": true,
            "remove_html_comments": "0",
            "remove_indentations": true,
            "remove_line_breaks": false
          },
          "prettify": {
            "indent_character": "spaces",
            "indent_size": 2,
            "wrap_attributes": false
          },
          "type": "none"
        },
        "prevent_widows": {
          "enabled": false
        },
        "remove_unused_css": {
          "backend_markers": [
            {
              "heads": "",
              "tails": ""
            },
            {
              "heads": "{%",
              "tails": "%}"
            }
          ],
          "enabled": false,
          "uglify": false,
          "whitelist": [
            "string"
          ]
        },
        "url_parameters": {
          "enabled": false,
          "parameters": []
        }
      },
      "updated": 1773856017
    }
  ]
}